Package org.apache.sling.scripting.jsp.taglib

# Class DefineObjectsTEI

java.lang.Object
javax.servlet.jsp.tagext.TagExtraInfo
org.apache.sling.scripting.jsp.taglib.DefineObjectsTEI

public class DefineObjectsTEI extends javax.servlet.jsp.tagext.TagExtraInfo
This class defines the scripting variables that are created by the `DefineObjectsTag`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_BINDINGS_NAME`
The name of the tag attribute used to define the name of the SlingBindings scripting variable (value is "bindingsName").
`static final String`
`ATTR_LOG_NAME`
The name of the tag attribute used to define the name of the logger scripting variable (value is "logName").
`static final String`
`ATTR_NODE_NAME`
The name of the tag attribute used to define the name of the Node scripting variable (value is "nodeName").
`static final String`
`ATTR_REQUEST_NAME`
The name of the tag attribute used to define the name of the RenderRequest scripting variable (value is "requestName").
`static final String`
`ATTR_RESOURCE_NAME`
The name of the tag attribute used to define the name of the Resource scripting variable (value is "resourceName").
`static final String`
`ATTR_RESOURCE_RESOLVER_NAME`
The name of the tag attribute used to define the name of the ResourceResolver scripting variable (value is "resourceResolverName").
`static final String`
`ATTR_RESPONSE_NAME`
The name of the tag attribute used to define the name of the RenderResponse scripting variable (value is "responseName").
`static final String`
`ATTR_SLING_NAME`
The name of the tag attribute used to define the name of the SlingScriptHelper scripting variable (value is "slingName").

## Constructor Summary

Constructors
Constructor
Description
`DefineObjectsTEI()`

## Method Summary

Modifier and Type
Method
Description
`javax.servlet.jsp.tagext.VariableInfo[]`
`getVariableInfo(javax.servlet.jsp.tagext.TagData data)`
Returns an Array of `VariableInfo` objects describing scripting variables.

### Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo

`getTagInfo, isValid, setTagInfo, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATTR_REQUEST_NAME

public static final String ATTR_REQUEST_NAME
The name of the tag attribute used to define the name of the RenderRequest scripting variable (value is "requestName").

See Also:
  - Constant Field Values

### ATTR_RESPONSE_NAME

public static final String ATTR_RESPONSE_NAME
The name of the tag attribute used to define the name of the RenderResponse scripting variable (value is "responseName").

See Also:
  - Constant Field Values

### ATTR_RESOURCE_NAME

public static final String ATTR_RESOURCE_NAME
The name of the tag attribute used to define the name of the Resource scripting variable (value is "resourceName").

See Also:
  - Constant Field Values

### ATTR_NODE_NAME

public static final String ATTR_NODE_NAME
The name of the tag attribute used to define the name of the Node scripting variable (value is "nodeName").

See Also:
  - Constant Field Values

### ATTR_SLING_NAME

public static final String ATTR_SLING_NAME
The name of the tag attribute used to define the name of the SlingScriptHelper scripting variable (value is "slingName").

See Also:
  - Constant Field Values

### ATTR_RESOURCE_RESOLVER_NAME

public static final String ATTR_RESOURCE_RESOLVER_NAME
The name of the tag attribute used to define the name of the ResourceResolver scripting variable (value is "resourceResolverName").

See Also:
  - Constant Field Values

### ATTR_LOG_NAME

public static final String ATTR_LOG_NAME
The name of the tag attribute used to define the name of the logger scripting variable (value is "logName").

See Also:
  - Constant Field Values

### ATTR_BINDINGS_NAME

public static final String ATTR_BINDINGS_NAME
The name of the tag attribute used to define the name of the SlingBindings scripting variable (value is "bindingsName").

See Also:
  - Constant Field Values

## Constructor Details

### DefineObjectsTEI

public DefineObjectsTEI()

## Method Details

### getVariableInfo

public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)
Returns an Array of `VariableInfo` objects describing scripting variables.

Overrides:
  `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`
See Also:
  - `TagExtraInfo.getVariableInfo(TagData)`